Skip to content
Start here

Update Cloudflare Source Subnet

zero_trust.networks.subnets.cloudflare_source.update(Literal["v4", "v6"]address_family, CloudflareSourceUpdateParams**kwargs) -> Subnet
PATCH/accounts/{account_id}/zerotrust/subnets/cloudflare_source/{address_family}

Updates the Cloudflare Source subnet of the given address family

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks Write
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
address_family: Literal["v4", "v6"]

IP address family, either v4 (IPv4) or v6 (IPv6)

One of the following:
"v4"
"v6"
comment: Optional[str]

An optional description of the subnet.

name: Optional[str]

A user-friendly name for the subnet.

network: Optional[str]

The private IPv4 or IPv6 range defining the subnet, in CIDR notation.

ReturnsExpand Collapse
class Subnet:
id: Optional[str]

The UUID of the subnet.

formatuuid
comment: Optional[str]

An optional description of the subnet.

created_at: Optional[datetime]

Timestamp of when the resource was created.

formatdate-time
deleted_at: Optional[datetime]

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
is_default_network: Optional[bool]

If true, this is the default subnet for the account. There can only be one default subnet per account.

name: Optional[str]

A user-friendly name for the subnet.

network: Optional[str]

The private IPv4 or IPv6 range defining the subnet, in CIDR notation.

subnet_type: Optional[Literal["cloudflare_source", "warp"]]

The type of subnet.

One of the following:
"cloudflare_source"
"warp"

Update Cloudflare Source Subnet

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
subnet = client.zero_trust.networks.subnets.cloudflare_source.update(
    address_family="v4",
    account_id="699d98642c564d2e855e9661899b7252",
)
print(subnet.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "example comment",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "is_default_network": true,
    "name": "IPv4 Cloudflare Source IPs",
    "network": "100.64.0.0/12",
    "subnet_type": "cloudflare_source"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "example comment",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "is_default_network": true,
    "name": "IPv4 Cloudflare Source IPs",
    "network": "100.64.0.0/12",
    "subnet_type": "cloudflare_source"
  },
  "success": true
}